from fastapi import APIRouter, Depends
from app.schemas.user import User
from app.utils.dependencies import get_current_active_user

router = APIRouter()


@router.get("/me", response_model=User)
async def get_current_user_info(current_user: User = Depends(get_current_active_user)):
    """Get current user information"""
    return current_user
